Subject: bug#69689: 30.0.50; cannot native compile with -flto in native-comp-compiler-options

From: Paul Eggert <[email-masked]>
Date: Mon, 11 Mar 2024 18:03:32 -0700

On 3/11/24 06:38, Eli Zaretskii wrote:

> configure.ac says "experimental", so I guess it's not yet reliable
> enough?

It was added by Dmitry Antipov in 2012. I never use it, and didn't even 
recall it until I looked at configure.ac recently.

I've not have good luck with -lto elsewhere. It can make linking slow 
and it tends to expose compiler bugs. Unless someone's using it 
regularly I would consider it experimental.

> It also uses the getconf command (to figure out the number of CPU
> cores?), which AFAIK is for glibc-only systems, right?

Yes, but if getconf is missing 'configure' is supposed to do something 
reasonable anyway.